LLM-readable documentation index

List Subscriptions

Hand off to an LLM
GET
/v3/subscriptions
x-api-key<token>

Authenticate using API Key in request header

In: header

Query Parameters

functionNames?array<>

Filters to subscriptions linked to included array of function names.

Items1 <= items
limit?integer

This specifies a limit on the number of objects to return, ranging between 1 and 100.

Default50
Range1 <= value <= 100
startingAfter?string

A cursor to use in pagination. startingAfter is a task ID that defines your place in the list. For example, if you make a list request and receive 50 objects, ending with sub_2c9AXIj48cUYJtCuv1gsQtHGDzK, your subsequent call can include startingAfter=sub_2c9AXIj48cUYJtCuv1gsQtHGDzK to fetch the next page of the list.

endingBefore?string

A cursor to use in pagination. endingBefore is a task ID that defines your place in the list. For example, if you make a list request and receive 50 objects, starting with sub_2c9AXIj48cUYJtCuv1gsQtHGDzK, your subsequent call can include endingBefore=sub_2c9AXIj48cUYJtCuv1gsQtHGDzK to fetch the previous page of the list.

Response Body

application/json

curl -X GET "https://api.bem.ai/v3/subscriptions"
[
  {
    "name": "string",
    "subscriptionID": "string",
    "type": "transform",
    "functionID": "string",
    "functionName": "string",
    "collectionID": "string",
    "collectionName": "string",
    "disabled": true,
    "webhookURL": "string",
    "s3Bucket": "string",
    "s3FilePath": "string",
    "googleDriveFolderID": "string"
  }
]
Empty
Empty
Empty